Annotation of wikisrc/pkgsrc/how_to_use_pkgsrc_on_osf1.mdwn, revision 1.1

1.1     ! mspo        1: I'm doing this guide on Tru64, but it should also apply to older versions of this fine OS, formerly branded Digital Unix and also as OSF1 (the system still identifies itself as OSF1).
        !             2: 
        !             3: **Contents**
        !             4: 
        !             5: [[!toc]]
        !             6: 
        !             7: #Setting the environment
        !             8: 
        !             9: There is no bzip2 and cvs so we have to fetch the tarball by ftp. You can try to use ftp(1) or Netscape if you have DECWindows installed. You also can use the portable NetBSD ftp client included in the binary bootstrap if you decide to extract it first. I think tnftp is much nicer for downloading than anything else.
        !            10: 
        !            11: The system doesn't have gcc installed by default as some newer Unices have in the default install, but it has a nice compiler called ccc (Compaq C Compiler).
        !            12: #Extracting the files
        !            13: 
        !            14: You have to extract the downloaded sources:
        !            15: 
        !            16:     # cd /usr
        !            17:     # gunzip -c /pkgsrc.tar.gz | tar xf -
        !            18: 
        !            19: Bootstrapping needs gcc:
        !            20: 
        !            21:     # cd pkgsrc/bootstrap/
        !            22:     # env CC=/usr/local/gcc4/bin/gcc CFLAGS=-O2 ./bootstrap
        !            23: 
        !            24: #Configuring pkgsrc
        !            25: 
        !            26: After the bootstrap is completed, you must decide which compiler to use. To keep using gcc, add the following to your mk.conf:
        !            27: 
        !            28:     CC=/usr/local/gcc4/bin/gcc
        !            29:     CXX=/usr/local/gcc4/bin/g++
        !            30: 
        !            31: To use the native compiler, set PKGSRC_COMPILER=ccc in mk.conf. You will need at least Compaq C 6.4 (it supports __VA_ARGS__ that tnftp(1) uses).
        !            32: #See also
        !            33: 
        !            34: <http://pkgsrc-osf1.netbsd.se/>
        !            35: 
        !            36: [README.OSF1 ](ftp://ftp.netbsd.org/pub/pkgsrc/current/pkgsrc/bootstrap/README.OSF1)

CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb